#!/bin/sh

DEBUG_FILE="./debug.log"

if [ -f "$1" ]
then
	DEBUG_FILE="$1"
fi

if [ ! -f "${DEBUG_FILE}" ]
then
	echo "$0: DEBUG_FILE='${DEBUG_FILE}' does not exist."
	exit 255
fi

grep -a __call "${DEBUG_FILE}" | cut -d "[" -f 4 | cut -d "]" -f 1
